### Function

# Gio SettingsBindSetMapping

#### Declaration

    GVariant*
    (* GSettingsBindSetMapping) (
      const GValue* value,
      const GVariantType* expected_type,
      gpointer user_data
    )

#### Description [src]

The type for the function that is used to convert an object property value to a `GVariant` for storing it in `GSettings`.

#### Parameters

`value`

  Type: `GValue`

  The property value to map.

  The data is owned by the caller of the function.

`expected_type`

  Type: `GVariantType`

  Expected type of the result.

  The data is owned by the caller of the function.

`user_data`

  Type: `gpointer`

  User data that was specified when the binding was created.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

#### Return value

Type: `GVariant`

A new `GVariant` holding the data from `value`, or `NULL` in case of an error.

The caller of the function takes ownership of the data, and is responsible for freeing it.
The return value can be `NULL`.